|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QAbstractPageSetupDialog Class Reference

The QAbstractPageSetupDialog class provides a base for implementations of page setup dialogs. More...

    #include <QAbstractPageSetupDialog>

Part of the QtGui module.

Inherits QDialog.

Inherited by QPageSetupDialog.

- List of all members, including inherited members

### Public Functions

- QAbstractPageSetupDialog ( QPrinter * printer, QWidget * parent = 0 )
- virtual int exec () = 0
- QPrinter * printer ()

- 9 public functions inherited from QDialog
- 183 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from QDialog
- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 5 public slots inherited from QDialog
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The QAbstractPageSetupDialog class provides a base for implementations of page setup dialogs.

## Member Function Documentation

### QAbstractPageSetupDialog::QAbstractPageSetupDialog ( QPrinter * printer, QWidget * parent = 0 )

Constructs the page setup dialog for the printer printer with parent as parent widget.

### int QAbstractPageSetupDialog::exec () `[pure virtual]`

This virtual function is called to pop up the dialog. It must be reimplemented in subclasses.

### QPrinter * QAbstractPageSetupDialog::printer ()

Returns the printer that this page setup dialog is operating on.